Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065283 - Unable to deploy repository via REST when on JDK 6
Summary: Unable to deploy repository via REST when on JDK 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ER1
: 6.0.1
Assignee: Ryan Zhang
QA Contact: Jan Hrcek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 09:30 UTC by Jan Hrcek
Modified: 2014-08-06 20:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Open JDK 6
Last Closed: 2014-08-06 20:01:48 UTC
Type: Bug


Attachments (Terms of Use)
Error response returned when cloning repo (deleted)
2014-02-14 09:30 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-02-14 09:30:16 UTC
Created attachment 863186 [details]
Error response returned when cloning repo

Description of problem:
When trying to clone repository via REST when business-central is running on Open JDK 6, the error response is returned:

javax.enterprise.event.ObserverException
     [java] 	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
...
Caused by: java.lang.UnsupportedClassVersionError: org/drools/workbench/common/services/rest/approver/Rule_approve2035757616 : Unsupported major.minor version 51.0

We found out, that the jar file containing the offending rule (business-central.war/WEB-INF/lib/drools-wb-rest-defaultapprover-6.0.2-redhat-3.jar) also contains kbase.cache file included, which was not the case in the previous build. We believe, that it might be result of the fix to Bug 1063255

Version-Release number of selected component (if applicable):
BPMS 6.0.1 ER1

How reproducible:
Always

Steps to Reproduce:
1. Run BPMS business-central on JDK 6 and try to clone some repo via REST interface

Actual results:
clone of the repo fails with error response:

Expected results:


Additional info:

Comment 1 Petr Široký 2014-02-14 14:35:17 UTC
After discussion with Marek Winkler and Mario Fusco I have been able to fix the issue using the sys property "-Ddrools.dialect.java.compiler.lnglevel=1.6" when building the drools-wb-rest-defaultapprover jar.

Just built the jar like this:
mvn clean package -Ddrools.dialect.java.compiler.lnglevel=1.6

This needs to be fixed during the productization process.

Comment 2 Ryan Zhang 2014-02-17 05:16:22 UTC
I have rebuilt the drools-wb components in with the suggested properties in
https://brewweb.devel.redhat.com/taskinfo?taskID=7063249

The impact jar is also uploaded in http://dev138.mw.lab.eng.bos.redhat.com/candidate/bpms-6.0.1-ER1/bz-1065283/drools-wb-rest-defaultapprover-6.0.2-redhat-3.jar

Please verified that if this can fix this issue as expected.

Comment 3 Petr Široký 2014-02-17 09:59:14 UTC
Ryan, I just verified that with the rebuilt jar you provided, the issue is gone and the repo can be cloned using the REST. Please update the product zips with this jar.

Comment 4 Ryan Zhang 2014-02-17 11:31:00 UTC
OK.
The patch zip is in:
http://dev138.mw.lab.eng.bos.redhat.com/candidate/bpms-6.0.1-ER1/bz-1065283/
http://dev138.mw.lab.eng.bos.redhat.com/candidate/brms-6.0.1-ER1/bz-1065283/

(In reply to Petr Siroky from comment #3)
> Ryan, I just verified that with the rebuilt jar you provided, the issue is
> gone and the repo can be cloned using the REST. Please update the product
> zips with this jar.

Comment 5 Petr Široký 2014-02-17 12:52:00 UTC
Ryan, the eap6x zips are OK, but the generic zips are way bigger than before. I found out that both zips contains both brms+bmps generic distributions (and the brms zip also the bpms zip inside, see below):

jboss-bpms-6.0.1.GA-redhat-1-deployable-generic.zip
 |-- jboss-bpms-6.0.1.GA-redhat-1-deployable-generic/    
 `-- jboss-brms-6.0.1.GA-redhat-1-deployable-generic/    [needs to be removed]


jboss-brms-6.0.1.GA-redhat-1-deployable-generic.zip
 |-- jboss-bpms-6.0.1.GA-redhat-1-deployable-generic/    [needs to be removed]
 |-- jboss-brms-6.0.1.GA-redhat-1-deployable-generic/
 `-- jboss-bpms-6.0.1.GA-redhat-1-deployable-generic.zip [needs to be removed]



Could you please remove the redundant content from the zip files?


Note You need to log in before you can comment on or make changes to this bug.